com.holonplatform.core

## Interface Path.FinalPath<T>

- Type Parameters:
    `T` - Path type
  All Superinterfaces:
    DataMappable, Expression, Path<T>, Serializable, TypedExpression<T>
  All Known Subinterfaces:
    BeanDataTarget<T>, DataTarget<T>, Join<T>, Path.FinalPath.FinalPathBuilder<T>, RelationalTarget<T>
  All Known Implementing Classes:
    DefaultFinalPath
  Enclosing interface:
    Path<T>

      public static interface Path.FinalPath<T>
      extends Path<T>

  Represents a final path, i.e. a path which do not support any parent path.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Path.FinalPath.FinalPathBuilder<T>` `Path.FinalPath` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.Builder<T,B extends Path.Builder<T,B>>, Path.FinalPath<T>, Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Optional<Path<?>>` | `getParent()` Gets the parent path
    `static <T> Path.FinalPath.FinalPathBuilder<T>` | `of(String name, Class<? extends T> type)` Create a default `Path.FinalPath` implementation with given `name` and `type`.

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, isRootPath, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

- - ### Method Detail

    - #### getParent

          default Optional<Path<?>> getParent()

      Description copied from interface: `Path`
      Gets the parent path
      Specified by:
        `getParent` in interface `Path<T>`
      Returns:
        Optional parent path, empty if none

    - #### of

          static <T> Path.FinalPath.FinalPathBuilder<T> of(String name,
                                                           Class<? extends T> type)

      Create a default `Path.FinalPath` implementation with given `name` and `type`.
      Specified by:
        `of` in interface `Path<T>`
      Type Parameters:
        `T` - Path type
      Parameters:
        `name` - Path name (not null)
        `type` - Path type (not null)
      Returns:
        New PathBuilder path instance

Copyright © 2019 The Holon Platform. All rights reserved.